package com.bonus.sgzb.app.service;

import com.bonus.sgzb.base.api.domain.BmFlowRelation;

import java.util.List;

/**
* Description:
* @Author 阮世耀
* @Create 2024/3/16 13:03
* @Version 1.0
*/

public interface BmFlowRelationService{

    int deleteByPrimaryKey(Integer id);

    int insert(BmFlowRelation record);

    int insertOrUpdate(BmFlowRelation record);

    int insertOrUpdateSelective(BmFlowRelation record);

    int insertSelective(BmFlowRelation record);

    BmFlowRelation selectByPrimaryKey(Integer id);

    List<BmFlowRelation> selectAllByPrimaryKey(BmFlowRelation record);

    int updateByPrimaryKeySelective(BmFlowRelation record);

    int updateByPrimaryKey(BmFlowRelation record);

    int updateBatch(List<BmFlowRelation> list);

    int updateBatchSelective(List<BmFlowRelation> list);

    int batchInsert(List<BmFlowRelation> list);

}
